package com.goafanti.organization.service;

import java.util.List;

import com.goafanti.admin.bo.AdminListBo;
import com.goafanti.core.mybatis.page.Pagination;
import com.goafanti.organization.bo.OrganizationListOut;

public interface OrganizationService {
	/**
	 * 部门组织管理查询
	 * @param olo
	 * @param pageNo
	 * @param pageSize
	 * @return
	 */
	Pagination<OrganizationListOut> 
	listOrganizationManagement(OrganizationListOut olo,Integer pageNo, Integer pageSize);
	/**组织名称查上级组织*/
	List<OrganizationListOut> selectSuperId(Integer i);
	/**
	 * 
	 * @param name 组织名称
	 * @param managerId 负责人ID
	 * @param type 组织类型
	 * @param superId 上级组织
	 * @param desc 组织职能说明
	 * @return
	 */
	int addOrganization(String name,String managerId,String type,String superId,String desc,String dep);
	/**
	 * 模糊查询负责人名称
	 * @param name
	 * @return
	 */
	List<AdminListBo> selectName(String name);
	
	OrganizationListOut selectAllById(String id);
	
	int deleteById(String id);
	
	int updateOrganization(String name,String type,String managerId,String superId,String status,String remarks,String id,String depn,String abbreviation,String financeId);
	
}
